javax.servlet.jsp.el

## Interface VariableResolver

Deprecated.
As of JSP 2.1, replaced by javax.el.ELResolver

    public interface VariableResolver

This class is used to customize the way an ExpressionEvaluator resolves variable references at evaluation time. For example, instances of this class can implement their own variable lookup mechanisms, or introduce the notion of "implicit variables" which override any other variables. An instance of this class should be passed when evaluating an expression.

An instance of this class includes the context against which resolution will happen

Since:
  2.0

### Method Summary

Methods
`java.lang.Object` `resolveVariable(java.lang.String pName)` Deprecated. Resolves the specified variable.

### Method Detail

#### resolveVariable

    java.lang.Object resolveVariable(java.lang.String pName)
                                     throws ELException

Deprecated.
Resolves the specified variable. Returns null if the variable is not found.

Parameters:
  `pName` - the name of the variable to resolve
Returns:
  the result of the variable resolution
Throws:
  `ELException` - if a failure occurred while trying to resolve the given variable